Subject: bug#63469: 29.0.90; project.el doesn't add menu-bar entries

From: Juri Linkov <[email-masked]>
Date: Tue, 23 May 2023 21:08:31 +0300

>> For most projects there is no need to show the backend name all the time.
>> So instead of "Git-emacs-29" better to add a user option to be able
>> to keep only the branch name, i.e. in 'vc-default-mode-line-string'
>> such hard-coded string should be customizable:
>
> Maybe the customizable user option should leave to the user whether to
> show the VC info, the project info, or both?

One possibility is to allow more values for the existing user option
'vc-display-status'.  Currently it's boolean, so even doesn't allow
disabling display of the backend name on the mode line.